use rust_i18n_autotranslate_z::{
   TranslationAPI,
   config::{Config, TranslationProvider},
};

fn main() {
   let cfg = Config::new()
       .locales_directory("./locales")
       .output_directory("./ts")
       .source_lang("en")
       .add_target_lang("es")
       .add_target_lang("fr")
       .add_target_lang("ja")
       .use_cache(false)
       .translation_provider(TranslationProvider::LIBRETRANSLATE)
       .build();

   TranslationAPI::translate(cfg).unwrap()
}
